Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class SubstanceType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.SubstanceType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class SubstanceType extends Object implements Serializable

Java class for substanceType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="substanceType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-SUBSTANCE"/>
               <element name="substancename" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubstanceType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDSUBSTANCE`
  `getCd()`
  Identifies the substance using a INNCLUSTER, ATC or EAN code.
  `String`
  `getSubstancename()`
  Gets the value of the substancename property.
  `void`
  `setCd(CDSUBSTANCE value)`
  Sets the value of the cd property.
  `void`
  `setSubstancename(String value)`
  Sets the value of the substancename property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SubstanceType

    public SubstanceType()

- ## Method Details

  - ### getSubstancename

    public String getSubstancename()
    Gets the value of the substancename property.
    Returns:
      possible object is `String`

  - ### setSubstancename

    public void setSubstancename(String value)
    Sets the value of the substancename property.
    Parameters:
      `value` - allowed object is `String`

  - ### getCd

    public CDSUBSTANCE getCd()
    Identifies the substance using a INNCLUSTER, ATC or EAN code.
    Returns:
      possible object is `CDSUBSTANCE`

  - ### setCd

    public void setCd(CDSUBSTANCE value)
    Sets the value of the cd property.
    Parameters:
      `value` - allowed object is `CDSUBSTANCE`
    See Also:
      - `getCd()`